﻿#version 300 es
in mediump vec2 vTex;
uniform lowp sampler2D samplerFront;
uniform lowp vec3 setColor;
uniform mediump float blend;
out lowp vec4 outColor;

void main(void)
{
	lowp vec4 front = texture(samplerFront, vTex);
	
	outColor = vec4(front.rgb + setColor * front.a, front.a);
}
